package compute;

import java.rmi.*;

public interface ITextAdapter extends Remote {
  /**
   * The port that the client will use to communicate with the ITextAdapter object
   * Note that this port must be opened of inbound traffic on the server machine
   */
  public static final int BOUND_PORT_A = 2101;
  public static final int BOUND_PORT_B = 2102;
  
  
  public void append(String s) throws RemoteException; 
}
