package rmiUtils;

/**
 * Definitions for use in RMI programs
 */
public interface IRMI_Defs {
	/**
	 * Port used for Registry.  Port 1099 is standard port.
	 * Non-standard port for RMI Registry required if used with DrJava
	 * Note that this port must be opened of inbound traffic on the server machine
	 */
	public static final int REGISTRY_PORT = 2099;

	public static final int CLASS_SERVER_PORT_A = 2001;
	public static final int CLASS_SERVER_PORT_B = 2002;


}